Create a new property. Note that "type" and "objectType" can ONLY be set when creating the property and CANNOT be modified! Returns the created property, which will have an ID generated for it. For 'Select One' and 'Select Multiple' types, `options` is required and must have at least one entry.
AuthorizationRequiredBearer <token>API key as Bearer token
In: header
application/jsonRequiredtypeRequiredstring"Text" | "Multi-line Text" | "Select One" | "Yes/No" | "Select Multiple" | "Date" | "File" | "Email" | "Phone"nameRequiredstringThe property's name. Must be unique among other properties for the same
objectType (case-insensitive).
descriptionstringOptional information about this property.
statusRequiredstringDetermines where this property can be used. "archived" properties are soft-deleted (any existing reference to them remains valid) but only "active" properties should be used in new workflows, forms, etc.
"active" | "archived"objectTypeRequiredstringThe type of object this property belongs to.
"event" | "order" | "ticket" | "contact"optionsarray<object>Exists if and only if type is "Select One" or "Select Multiple".
curl -X POST "https://api.3common.com/v1/properties/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"type": "Text",
"name": "string",
"description": "string",
"status": "active",
"objectType": "event",
"options": [
{
"value": "string",
"label": "string"
}
]
}'{
"data": {
"type": "Text",
"id": "string",
"name": "string",
"description": "string",
"status": "active",
"objectType": "event"
}
}export interface Response {
data:
| {
type: "Text";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Multi-line Text";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
options: {
/**
* The value stored when this option is selected.
*/
value: string;
/**
* The display label for this option.
*/
label: string;
}[];
type: "Select One";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Yes/No";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
options: {
/**
* The value stored when this option is selected.
*/
value: string;
/**
* The display label for this option.
*/
label: string;
}[];
type: "Select Multiple";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Date";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "File";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Email";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Phone";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
};
}
List Properties
Fetch a list of properties belonging to the user. The returned results are paginated. Results can be filtered by status, object type, or property type, and can be sorted by several fields. `search` performs a case-insensitive match against the property name.
Get Property
Fetch a single property by its ID.